/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';

.o-coaMilestoneItem {
  &__card {
    background: $coa-milestone-item-background;
    -webkit-border-radius: 20px !important;
    -moz-border-radius: 20px !important;
    -ms-border-radius: 20px !important;
    -o-border-radius: 20px !important;
    border-radius: 20px !important;
  }
  &__description {
    @include primary-text(0.875rem, $coa-medium-gray-100, 400);
  }
  &__addActivityButton {
    width: 100%;
    background: transparent;
    padding-block: 1.8rem;
    display: flex;
    justify-content: center;
    align-items: center;

    @include primary-text(0.875rem, $coa-primary, 400);
    border-color: $coa-primary;
  }

  &__collapse {
    background: transparent;
    &__panel {
      border: none !important;

      .ant-collapse-header {
        padding: 0 !important;
        color: $coa-primary !important;
      }
      .ant-collapse-content-box {
        padding-inline: 0 !important;
      }
    }
    &__header {
      display: flex;
      column-gap: 0.3rem;
      align-items: center;
      @include primary-text(0.875rem, $coa-milestone-view-activities-text-color, 400);
      margin-bottom: 0.5rem;
    }
  }

  &__cardsList {
    display: flex;
    flex-direction: column;
    row-gap: 1.25rem;
  }
}
